package com.wrj.driver.server.controller;


import com.wrj.driver.server.dto.QuestionPracticeAddDto;
import com.wrj.driver.server.dto.QuestionQueryDto;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.IWrjQuestionPracticeService;
import com.wrj.driver.server.util.SecurityUtil;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

import javax.validation.Valid;

/**
 * <p>
 * 用户答题练习表 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@RestController
@RequestMapping("/wrjQuestionPractice")
@Slf4j
public class WrjQuestionPracticeController {

    @Autowired
    private IWrjQuestionPracticeService practiceService;

    @ApiOperation("答题练习")
    @PostMapping("/insert")
    public BaseResponse insertQuestionPractice(@RequestBody @Valid QuestionPracticeAddDto addDto) {

        addDto.setUserId(SecurityUtil.getUserId());
        log.info("答题练习======>addDto:{}", addDto);
        return BaseResponse.success(practiceService.insertQuestionPractice(addDto));
    }


    @ApiOperation("清空答题练习")
    @PostMapping("/clear")
    public BaseResponse clear(@RequestParam String practiceType) {
        log.info("清空答题练习 userId:{},practiceType:{}", SecurityUtil.getUserId(),practiceType);
        return BaseResponse.success(practiceService.clear(SecurityUtil.getUserId(),practiceType));
    }

}
