package com.wrj.driver.server.controller;


import com.wrj.driver.server.dto.QuestionPracticeAddDto;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.service.IWrjUserCollectQuestionService;
import com.wrj.driver.server.util.SecurityUtil;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import org.springframework.stereotype.Controller;

/**
 * <p>
 * 用户收藏表 前端控制器
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@RestController
@RequestMapping("/wrjUserCollectQuestion")
@Slf4j
public class WrjUserCollectQuestionController {

    @Autowired
    private IWrjUserCollectQuestionService collectQuestionService;

    @ApiOperation("更新收藏（没有收藏调用则是收藏，已收藏调用则是取消收藏）")
    @PostMapping("/update")
    public BaseResponse updateUserCollectQuestion(@RequestParam Long questionId) {
        log.info("更新收藏题目id======>questionId:{},userId:{}", questionId, SecurityUtil.getUserId());
        return BaseResponse.success(collectQuestionService.updateUserCollectQuestion(questionId, SecurityUtil.getUserId()));
    }

}
