package com.wrj.driver.server.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * <p>
 * 用户答题练习表入参
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel("答题练习入参")
public class QuestionPracticeAddDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 题目标识
     */
    @ApiModelProperty(value = "题目标识",required = true)
    @NotNull(message = "题目标识不能为空")
    private Long questionId;

    /**
     * 用户标识
     */
    @ApiModelProperty("用户标识")
    private Long userId;

    /**
     * 答题类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试
     */
    @ApiModelProperty(value = "答题类型 1-顺序练习 2-章节练习 3-随机练习 4-模拟考试 5-错题训练 6-收藏训练",required = true)
    @NotBlank(message = "答题类型不能为空")
    private String practiceType;

    /**
     * 用户选择的答案
     */
    @ApiModelProperty("用户选择的答案")
    @NotBlank(message = "答案不能为空")
    private String answer;

    /**
     * 业务标识，顺序练习对应顺序练习批次，模拟考试对应考试test_id
     */
    @ApiModelProperty("业务标识，顺序练习对应顺序练习批次，模拟考试对应考试test_id")
    private Long businessCode;
}
