package com.wrj.driver.server.dto;

import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class SysConfigDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 车无人机驾驶类型标识,-1为与无人机驾驶类型标识无关
     */
    @ApiModelProperty("无人机驾驶类型标识,-1为与无人机驾驶类型标识无关")
    private Integer driverTypeId;

    /**
     * 配置项KEY
     */
    @ApiModelProperty("配置项KEY")
    private String configKey;

    /**
     * 配置项值
     */
    @ApiModelProperty("配置项值")
    private String configValue;

    /**
     * 配置项名称
     */
    @ApiModelProperty("配置项名称")
    private String configName;

    /**
     * 配置项说明
     */
    @ApiModelProperty("配置项说明")
    private String configDesc;

    /**
     * 配置项类型;0: key-value模式
        1: 普通 list 模式
        A-Z:特殊模式
     */
    @ApiModelProperty("CONFIG_TYPE")
    private String configType;

    /**
     * 配置项JSON值
     */
    @ApiModelProperty("配置项JSON值")
    private String configJson;

    /**
     * 是否生效
     */
    @ApiModelProperty("是否生效")
    private String isActive;

    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间 ")
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime createTime;


}
