package com.wrj.driver.server.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonDeserialize;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.datatype.jsr310.deser.LocalDateTimeDeserializer;
import com.fasterxml.jackson.datatype.jsr310.ser.LocalDateTimeSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 系统配置表;
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("wrj_sys_config")
public class WrjSysConfig implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 无人机驾驶类型标识,-1为与无人机驾驶类型标识无关
     */
    @TableId("DRIVER_TYPE_ID")
    private Integer driverTypeId;

    /**
     * 配置项KEY
     */
    @TableField("CONFIG_KEY")
    private String configKey;

    /**
     * 配置项值
     */
    @TableField("CONFIG_VALUE")
    private String configValue;

    /**
     * 配置项名称
     */
    @TableField("CONFIG_NAME")
    private String configName;

    /**
     * 配置项说明
     */
    @TableField("CONFIG_DESC")
    private String configDesc;

    /**
     * 配置项类型;0: key-value模式
        1: 普通 list 模式
        A-Z:特殊模式
     */
    @TableField("CONFIG_TYPE")
    private String configType;

    /**
     * 配置项JSON值
     */
    @TableField("CONFIG_JSON")
    private String configJson;

    /**
     * 是否生效
     */
    @TableField("IS_ACTIVE")
    private String isActive;

    /**
     * 创建时间
     */
    @TableField("CREATE_TIME")
    @JsonDeserialize(using = LocalDateTimeDeserializer.class)
    @JsonSerialize(using = LocalDateTimeSerializer.class)
    private LocalDateTime createTime;


}
