package com.wrj.driver.server.mapper;

import com.wrj.driver.server.dto.QuestionQueryDto;
import com.wrj.driver.server.entity.WrjQuestion;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.wrj.driver.server.vo.QuestionVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 题库; Mapper 接口
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */

@Mapper
public interface WrjQuestionMapper extends BaseMapper<WrjQuestion> {

    /**
     * 查询考题
     *
     * @param queryDto
     * @return
     */
    List<QuestionVo> queryQuestion(@Param("queryDto") QuestionQueryDto queryDto);

    /**
     * 获取考题id
     *
     * @param queryDto
     * @return
     */
    List<Long> queryQuestionId(@Param("queryDto") QuestionQueryDto queryDto);

    /**
     * 随机查询考题
     *
     * @param queryDto
     * @return
     */
    List<QuestionVo> queryQuestionByRandom(@Param("queryDto") QuestionQueryDto queryDto);

    /**
     * 随机查询考题Id
     *
     * @param queryDto
     * @return
     */
    List<Long> queryQuestionIdByRandom(@Param("queryDto") QuestionQueryDto queryDto);

    int updateQuestion(@Param("questionVo") QuestionVo questionVo);

    /**
     * 获取各类里题目数量（目前肯嫩南瓜用不上，但暂时保留）
     *
     * @param queryDto
     * @return
     */
    Map<String, Integer> querySpecialNum(@Param("queryDto") QuestionQueryDto queryDto);

    /**
     * 获取车型最大排序
     *
     * @param carTypeId
     * @return
     */
    Integer queryMaxSort();

    /**
     * 更新答题信息
     *
     * @param questionId
     * @param answerNum  答题次数
     * @param rightNum   正确次数
     * @return
     */
    int updateAnswerNumber(@Param("questionId") Long questionId, @Param("answerNum") int answerNum, @Param("rightNum") int rightNum);
}
