package com.wrj.driver.server.service;

import com.wrj.driver.server.dto.LoginUserDto;
import com.wrj.driver.server.entity.SysUser;
import com.baomidou.mybatisplus.extension.service.IService;
import com.wrj.driver.server.vo.LoginUserVo;

/**
 * <p>
 * 用户表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface ISysUserService extends IService<SysUser> {

    /**
     * 获取短信验证码
     * @param phone
     * @return
     */
    Boolean code(String phone);

    /**
     * 用户登陆
     * @param loginUserDto
     * @return
     */
    LoginUserVo login(LoginUserDto loginUserDto);

    /**
     * 用户登出
     * @return
     */
    Long loginOut();

    /**
     * 获取用户信息
     * @return
     */
    LoginUserVo queryUserMessage();
}
