package com.wrj.driver.server.service;

import com.wrj.driver.server.dto.TestQueryDto;
import com.wrj.driver.server.vo.TestScoreVO;
import com.wrj.driver.server.dto.TestSubmitDto;
import com.wrj.driver.server.entity.WrjQuestionTest;
import com.baomidou.mybatisplus.extension.service.IService;
import com.wrj.driver.server.response.BaseResponse;
import com.wrj.driver.server.vo.TestTotalVo;

import java.util.List;

/**
 * <p>
 * 模拟考试成绩表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface IWrjQuestionTestService extends IService<WrjQuestionTest> {

    /**
     * 交卷 考试提交
     * @param submitDto
     * @return
     */
    BaseResponse testSubmit(TestSubmitDto submitDto);

    /**
     * 考试成绩统计
     * @param queryDto
     * @return
     */
    TestTotalVo testTotal(TestQueryDto queryDto);

    /**
     * 获取考试成绩
     * @param queryDto
     * @return
     */
    List<TestScoreVO> getTestScore(TestQueryDto queryDto);
}
