package com.wrj.driver.server.service;

import com.wrj.driver.server.dto.SysConfigDto;
import com.wrj.driver.server.entity.WrjSysConfig;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 系统配置表; 服务类
 * </p>
 *
 * @author Automated procedures
 * @since 2023-08-10
 */
public interface IWrjSysConfigService extends IService<WrjSysConfig> {

    /**
     * 根据配置key和driverTypeId获取配置信息,配置与车型无关则driverTypeId为-1
     * @param configKey
     * @param driverTypeId
     * @return
     */
    WrjSysConfig queryConfigByKey(String configKey, Integer driverTypeId);

    /**
     * 根据配置key和driverTypeId获取配置信息,配置与车型无关则driverTypeId为-1
     * @param configKey
     * @param driverTypeId
     * @return
     */
    List<WrjSysConfig> queryConfigByKey(String configKey);

    /**
     * 根据配置key和driverTypeId获取配置值,配置与车型无关则driverTypeId为-1
     * @param configKey
     * @param driverTypeId
     * @return
     */
    String queryConfigValueByKey(String configKey,Integer driverTypeId);

    /**
     * 根据配置keys和driverTypeId获取配置信息,配置与车型无关则driverTypeId为-1
     * @param configKeyList
     * @param driverTypeId
     * @return
     */
    Map<String, WrjSysConfig> queryConfigByKeys(List<String> configKeyList, Integer driverTypeId);

    Boolean saveConfig(SysConfigDto configDto);
}
