package com.wrj.driver.server.service.impl;

import com.wrj.driver.server.entity.WrjUserCollectQuestion;
import com.wrj.driver.server.entity.WrjUserErrorQuestion;
import com.wrj.driver.server.mapper.WrjUserCollectQuestionMapper;
import com.wrj.driver.server.service.IWrjUserCollectQuestionService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDateTime;

/**
 * <p>
 * 用户收藏表 服务实现类
 * </p>
 *
 * @author Automated procedures
 * @since 2025-06-29
 */
@Service
public class WrjUserCollectQuestionServiceImpl extends ServiceImpl<WrjUserCollectQuestionMapper, WrjUserCollectQuestion> implements IWrjUserCollectQuestionService {

    @Autowired
    private WrjUserCollectQuestionMapper collectQuestionMapper;

    @Override
    @Transactional(rollbackFor = Exception.class)
    public Boolean updateUserCollectQuestion(Long questionId, Long userId) {

        // 判断用户之前是不是收藏了，已经收藏了调用则是取消收藏
        WrjUserCollectQuestion userCollectQuestion = collectQuestionMapper.selectByUserIdAndQuestionId(userId, questionId);
        if (userCollectQuestion == null){
            userCollectQuestion = new WrjUserCollectQuestion()
                    .setQuestionId(questionId)
                    .setUserId(userId)
                    .setCreateTime(LocalDateTime.now());
            collectQuestionMapper.insert(userCollectQuestion);
        }

        collectQuestionMapper.deleteByUserIdAndQuestionId(userId,questionId);

        return Boolean.TRUE;
    }
}
