package com.wrj.driver.server.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @author 曹林
 * @description 无人机考试题目出参
 * @create 2023/8/13 17:13
 */
@Data
@Accessors(chain = true)
@ApiModel("无人机考试题目出参")
public class QuestionVo {

    private static final long serialVersionUID = 1L;

    /**
     * 题目标识
     */
    @ApiModelProperty("题目标识")
    private Long questionId;

    /**
     * 题目内容
     */
    @ApiModelProperty("题目内容")
    private String question;

    /**
     * 选项A
     */
    @ApiModelProperty("选项A")
    private String chooseA;

    /**
     * 选项B
     */
    @ApiModelProperty("选项B")
    private String chooseB;

    /**
     * 选项C
     */
    @ApiModelProperty("选项C")
    private String chooseC;

    /**
     * 选项D
     */
    @ApiModelProperty("选项D")
    private String chooseD;

    /**
     * 选项E
     */
    @ApiModelProperty("选项E")
    private String chooseE;

    /**
     * 选项F
     */
    @ApiModelProperty("选项F")
    private String chooseF;

    /**
     * 选项G
     */
    @ApiModelProperty("选项G")
    private String chooseG;

    /**
     * 正确答案
     */
    @ApiModelProperty("正确答案")
    private String trueAnswer;

    /**
     * 题目图片url
     */
    @ApiModelProperty("题目图片url")
    private String imageUrl;


    /**
     * 最佳回答
     */
    @ApiModelProperty("最佳回答")
    private String bestAnswer;

    /**
     * 答题技巧
     */
    @ApiModelProperty("答题技巧")
    private String skillInfo;

    /**
     * 错误答案解析
     */
    @ApiModelProperty("错误答案解析")
    private String errorInfo;

    /**
     * 章节标识
     */
    @ApiModelProperty("章节标识")
    private String chapter;

    /**
     * 选择
     */
    @ApiModelProperty("选择")
    private String options;

    @ApiModelProperty("选项列表")
    private List<QuestionOption> optionList;

    /**
     * 题目类型，1：选择题 2：判断题，3：多选题
     */
    @ApiModelProperty("题目类型，1：选择题 2：判断题，3：多选题")
    private String type;

    /**
     * 显示序号
     */
    @ApiModelProperty("显示序号")
    private int showOrder;

    /**
     * 是否生效
     */
    @ApiModelProperty("是否生效")
    private String isActive;

    /**
     * 题目关键字
     */
    @ApiModelProperty("题目关键字")
    private String titleWords;

    /**
     * 答题技巧关键字
     */
    @ApiModelProperty("答题技巧关键字")
    private String skillWords;

    /**
     * 答案A关键字
     */
    @ApiModelProperty("答案A关键字")
    private String aWords;

    /**
     * 答案B关键字
     */
    @ApiModelProperty("答案B关键字")
    private String bWords;

    /**
     * 答案C关键字
     */
    @ApiModelProperty("答案C关键字")
    private String cWords;

    /**
     * 答案D关键字
     */
    @ApiModelProperty("答案D关键字")
    private String dWords;


    @Data
    @Accessors
    @AllArgsConstructor
    public static class QuestionOption{
        @ApiModelProperty("选项")
        private String op;

        @ApiModelProperty("选项描述")
        private String opDesc;

        @ApiModelProperty("选项值")
        private String opValue;
    }
}
